LedgerLou Docs ist für Desktop optimiert.

Bitte öffne diese Seite auf einem Gerät mit breiterem Bildschirm.

Bank

Batch-Abstimmung ausführen

Stimmt mehrere Banktransaktionen in einem einzigen Aufruf ab.

POST /v1/bank-transactions/batch-reconcile
Authorization
Authorization string header erforderlich API-Key im Format ll_.... Übergabe als Bearer Token.
Request Body
pairs array erforderlich Zuordnungspaare (min. 1)
Zuordnungspaar
bank_transaction_id uuid erforderlich Transaktions-ID
intent_id uuid erforderlich Buchungs-Intent
candidate_kind string erforderlich "bank_booking", "open_receivable" oder "open_liability"
open_item_account string optional Konto bei offenen Posten
Antworten
200
Erfolgreich
400
INVALID_INPUT Pflichtfelder fehlen oder Werte entsprechen nicht dem erwarteten Format.
POST /v1/bank-transactions/batch-reconcile
cURL
-cmd">curl --request -method">POST -punct">\
  --url 'https://api.ledgerlou.de/v1/bank-transactions/batch-reconcile' -punct">\
  --header 'Authorization: Bearer ll_your_key' -punct">\
  --header 'Content-Type: application/json' -punct">\
  --data '{
  "pairs": [
    {
      "bank_transaction_id": "a1b2c3d4-...",
      "intent_id": "b2c3d4e5-...",
      "candidate_kind": "bank_booking"
    },
    {
      "bank_transaction_id": "c3d4e5f6-...",
      "intent_id": "d4e5f6a7-...",
      "candidate_kind": "open_receivable",
      "open_item_account": "1200"
    }
  ]
}'
200 Response
JSON
{
  "reconciled": 1,
  "errors": []
}